Bug 123221 - XWindows will not display
XWindows will not display
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2004-05-13 18:26 EDT by Joe Nicholls
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-12 03:18:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg log file from failed system (35.35 KB, text/plain)
2004-05-13 18:38 EDT, Joe Nicholls
no flags Details

  None (edit)
Description Joe Nicholls 2004-05-13 18:26:55 EDT
Description of problem:
X starts but nothing is displayed on the screen.  This happens both
during installation as well as runtime (accomplished by using the
character mode install.)  After installing in character mode and then
trying to start x from a character login virtual terminal, the screen
goes blank after X starts.  Moving back the the charcter terminal
(<ctl><alt>F1) shows many error messages such as 'error  Failed to
load module "glx" (modules does not exist, 0)'.
Also: 'error opening security policy file /etc/X11/xserver/SecurityPolicy'
'Could not find init font path element unix/:7100, removing from list!'

Hardware was a Dell Inspiron 7500 R450VT with startup reporting an
'ATI RAGE MOBILITY' controller.

Version-Release number of selected component (if applicable):
install from Fedora Core release 1.92 (FC2 Test 3)

How reproducible:
from character terminal type:  startx
or boot into graphical installation from CD.

Steps to Reproduce:
1.log into character terminal such as the F1 terminal


Actual results:
blank screen

Expected results:
X terminal

Additional info:
Comment 1 Joe Nicholls 2004-05-13 18:38:01 EDT
Created attachment 100225 [details]
Xorg log file from failed system

This is the log file from X trying to start up
Comment 2 Joe Nicholls 2004-09-21 21:48:02 EDT
This issue was resolved by following the instructions of Peter Yellman
on one of the Fedora threads "ATI Rage Mobility ..."  I followed his
suggestion to add "vga=0x31A" at boot time to enable the frame buffer
and it works fine.  I have to install in character mode, and then
modify the grub.conf file for the vga argument.
Comment 3 Mike A. Harris 2004-10-12 03:18:00 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.